Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 671204 - dev-python/cython-0.29 fails tests
Summary: dev-python/cython-0.29 fails tests
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2018-11-15 17:48 UTC by eroen
Modified: 2019-06-08 16:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-python/cython-0.29:20181115-141416.log.bz2 (cython-0.29:20181115-141416.log.bz2,170.02 KB, application/x-bzip)
2018-11-15 17:48 UTC, eroen
Details
build.log (dev-python_cython-0.29.4_use_ITV3O.xz,220.69 KB, application/x-xz)
2019-06-07 07:30 UTC, Rolf Eike Beer
Details
build.log 0.29.7 on sparc (dev-python_cython-0.29.7_use_kDFtV.xz,220.41 KB, application/x-xz)
2019-06-08 16:37 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2018-11-15 17:48:28 UTC
Created attachment 555214 [details]
dev-python/cython-0.29:20181115-141416.log.bz2

======================================================================
ERROR: runTest (__main__.CythonRunTestCase)
compiling (c) and running parallel
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/unixccompiler.py", line 58, in UnixCCompiler__compile
    extra_postargs, display = display)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/ccompiler.py", line 89, in <lambda>
    m = lambda self, *args, **kw: func(self, *args, **kw)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/ccompiler.py", line 152, in CCompiler_spawn
    raise DistutilsExecError('Command "%s" failed with exit status %d%s' % (cmd, s, msg))
distutils.errors.DistutilsExecError: Command "x86_64-pc-linux-gnu-gcc -march=corei7-avx -pipe -Og -g -gdwarf-4 -fno-strict-overflow -fPIC -I/var/tmp/portage/dev-python/cython-0.29/work/Cython-0.29/tests/run -I/usr/include/python3.4m -c parallel.c -o /var/tmp/portage/dev-python/cython-0.29/work/Cython-0.29-python3_4/tests/run/c/parallel/parallel.o -march=corei7-avx -pipe -Og -g -gdwarf-4 -fno-strict-overflow -DCYTHON_REFNANNY=1 -fopenmp" failed with exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "runtests.py", line 1262, in run
    ext_so_path = self.runCompileTest()
  File "runtests.py", line 945, in runCompileTest
    self.test_directory, self.expect_errors, self.expect_warnings, self.annotate)
  File "runtests.py", line 1196, in compile
    so_path = self.run_distutils(test_directory, module, workdir, incdir)
  File "runtests.py", line 1117, in run_distutils
    build_extension.run()
  File "/usr/lib64/python3.4/distutils/command/build_ext.py", line 339, in run
    self.build_extensions()
  File "/usr/lib64/python3.4/distutils/command/build_ext.py", line 448, in build_extensions
    self.build_extension(ext)
  File "runtests.py", line 543, in build_extension
    _build_ext.build_extension(self, ext)
  File "/usr/lib64/python3.4/distutils/command/build_ext.py", line 503, in build_extension
    depends=ext.depends)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/ccompiler.py", line 89, in <lambda>
    m = lambda self, *args, **kw: func(self, *args, **kw)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/ccompiler.py", line 343, in CCompiler_compile
    single_compile(o)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/ccompiler.py", line 303, in single_compile
    self._compile(obj, src, ext, cc_args, extra_postargs, pp_opts)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/ccompiler.py", line 89, in <lambda>
    m = lambda self, *args, **kw: func(self, *args, **kw)
  File "/usr/lib64/python3.4/site-packages/numpy/distutils/unixccompiler.py", line 61, in UnixCCompiler__compile
    raise CompileError(msg)
distutils.errors.CompileError: Command "x86_64-pc-linux-gnu-gcc -march=corei7-avx -pipe -Og -g -gdwarf-4 -fno-strict-overflow -fPIC -I/var/tmp/portage/dev-python/cython-0.29/work/Cython-0.29/tests/run -I/usr/include/python3.4m -c parallel.c -o /var/tmp/portage/dev-python/cython-0.29/work/Cython-0.29-python3_4/tests/run/c/parallel/parallel.o -march=corei7-avx -pipe -Og -g -gdwarf-4 -fno-strict-overflow -DCYTHON_REFNANNY=1 -fopenmp" failed with exit status 1

<...>

----------------------------------------------------------------------
Ran 11944 tests in 3554.258s

FAILED (errors=4, skipped=106)
Following tests excluded because of missing dependencies on your system:
   run.numpy_pythran
Times:
compile-c   :   868.14 sec  ( 980,  0.886 / run) - slowest: 'c:test_unicode' (48.82s), 'c:test_coroutines_pep492' (28.77s), 'c:test_grammar' (15.83s), 'c:test_asyncgen' (14.18s), 'c:memslice' (13.89s), 'c:numpy_test' (10.10s), 'c:fused_def' (9.93s), 'c:memoryview' (8.25s)
compile-cpp :  1091.82 sec  (1043,  1.047 / run) - slowest: 'cpp:test_unicode' (54.31s), 'cpp:test_coroutines_pep492' (32.23s), 'cpp:test_grammar' (17.66s), 'cpp:test_asyncgen' (15.86s), 'cpp:memslice' (15.18s), 'cpp:numpy_test' (11.35s), 'cpp:fused_def' (11.23s), 'cpp:memoryview' (9.38s)
cython      :   837.15 sec  (2207,  0.379 / run) - slowest: 'cpp:test_unicode' (11.40s), 'c:test_unicode' (11.13s), 'cpp:numpy_test' (8.92s), 'c:numpy_test' (8.88s), 'c:memslice' (8.83s), 'cpp:memslice' (8.79s), 'c:test_coroutines_pep492' (8.79s), 'cpp:test_coroutines_pep492' (8.78s)
etoe-build  :   147.11 sec  (  68,  2.163 / run) - slowest: 'c:memoryview_compare_type_pointers(1)' (8.42s), 'c:memoryview_acq_count(1)' (7.62s), 'c:public_fused_types(1)' (5.77s), 'c:pure_pxd(1)' (5.26s), 'c:cdef_multiple_inheritance_errors(1)' (4.42s), 'c:asyncio_generators(1)' (4.12s), 'c:coverage_api(2)' (3.78s), 'c:fused_cmethods(1)' (3.77s)
etoe-run    :    23.72 sec  ( 114,  0.208 / run) - slowest: 'c:pyximport_pyimport(1)' (3.63s), 'c:cpdef_pickle(1)' (2.09s), 'c:cythonize_script_package(1)' (2.01s), 'c:cythonize_script(1)' (1.68s), 'c:pyximport_errors(1)' (1.31s), 'c:cythonize_script_excludes(1)' (1.26s), 'c:pyximport_namespace(1)' (1.22s), 'c:pyximport_basic(1)' (1.21s)
import      :     1.42 sec  (1387,  0.001 / run) - slowest: 'c:importas' (0.34s), 'cpp:test_coroutines_pep492' (0.01s), 'cpp:print_function' (0.01s), 'cpp:print' (0.01s), 'c:print_function' (0.01s), 'cpp:nogil' (0.01s), 'c:print' (0.01s), 'c:nogil' (0.01s)
pyimport    :     0.05 sec  (  48,  0.001 / run) - slowest: 'py:pure_py' (0.00s), 'py:withstat_py27' (0.00s), 'py:constant_folding' (0.00s), 'py:ext_auto_richcmp' (0.00s), 'py:generators_py' (0.00s), 'py:withstat_py' (0.00s), 'py:purecdef' (0.00s), 'py:for_in_iter' (0.00s)
pyrun       :     0.39 sec  (  48,  0.008 / run) - slowest: 'py:generators_py' (0.04s), 'py:pure_py' (0.03s), 'py:constant_folding' (0.03s), 'py:ext_auto_richcmp' (0.03s), 'py:uninitialized' (0.03s), 'py:withstat_py' (0.02s), 'py:pyclass_scope_T671' (0.01s), 'py:purecdef' (0.01s)
run         :   283.06 sec  (1387,  0.204 / run) - slowest: 'c:test_fstring' (96.96s), 'c:test_coroutines_pep492' (91.75s), 'cpp:memslice' (25.17s), 'c:memslice' (24.52s), 'c:test_unicode' (4.78s), 'cpp:test_unicode' (4.71s), 'c:memoryview_in_subclasses' (4.01s), 'cpp:memoryview_in_subclasses' (3.92s)
ALL DONE
queue3.c: In function '__pyx_f_6queue3_5Queue_append':
queue3.c:1422:60: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
   __pyx_t_6 = ((!(queue_push_tail(__pyx_v_self->_c_queue, ((void *)__pyx_v_value)) != 0)) != 0);
                                                            ^
queue3.cpp: In function 'PyObject* __pyx_f_6queue3_5Queue_append(__pyx_obj_6queue3_Queue*, int, int)':
queue3.cpp:1436:68: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
   __pyx_t_6 = ((!(queue_push_tail(__pyx_v_self->_c_queue, ((void *)__pyx_v_value)) != 0)) != 0);
                                                                    ^~~~~~~~~~~~~
In file included from /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ndarraytypes.h:1816,
                 from /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ndarrayobject.h:18,
                 from /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/arrayobject.h:4,
                 from convolve2.c:610:
/usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2: warning: #warning "Using deprecated NumPy API, disable it by " "#defining NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
 #warning "Using deprecated NumPy API, disable it by " \
  ^~~~~~~
In file included from /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ndarraytypes.h:1816,
                 from /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/ndarrayobject.h:18,
                 from /usr/lib64/python3.4/site-packages/numpy/core/include/numpy/arrayobject.h:4,
                 from convolve2.cpp:624:
/usr/lib64/python3.4/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2: warning: #warning "Using deprecated NumPy API, disable it by " "#defining NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" [-Wcpp]
 #warning "Using deprecated NumPy API, disable it by " \
  ^~~~~~~
 * ERROR: dev-python/cython-0.29::gentoo failed (test phase):
 *   Tests fail with python3.4
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_test
 *   environment, line 2947:  Called distutils-r1_src_test
 *   environment, line  996:  Called _distutils-r1_run_foreach_impl 'python_test'
 *   environment, line  447:  Called python_foreach_impl 'distutils-r1_run_phase' 'python_test'
 *   environment, line 2463:  Called multibuild_foreach_variant '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_test'
 *   environment, line 1813:  Called _multibuild_run '_python_multibuild_wrapper' 'distutils-r1_run_phase' 'python_test'
 *   environment, line 1811:  Called _python_multibuild_wrapper 'distutils-r1_run_phase' 'python_test'
 *   environment, line  659:  Called distutils-r1_run_phase 'python_test'
 *   environment, line  927:  Called python_test
 *   environment, line 2849:  Called die
 * The specific snippet of code:
 *       "${PYTHON}" runtests.py -vv --work-dir "${BUILD_DIR}"/tests || die "Tests fail with ${EPYTHON}"
Comment 1 eroen 2018-11-15 17:59:54 UTC
eroen@occam ~ $ emerge --info '=dev-python/cython-0.29::gentoo'
Portage 2.3.51 (python 3.7.0-final-0, default/linux/amd64/17.0/hardened, gcc-8.2.0, glibc-2.27-r6, 4.19.1-gentoo-o0 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.19.1-gentoo-o0-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.6
KiB Mem:     7998232 total,   3859408 free
KiB Swap:   16777212 total,  15808764 free
Timestamp of repository gentoo: Thu, 15 Nov 2018 11:30:01 +0000
Head commit of repository gentoo: 3a5b9598e49664cf3b11fb276adae40093c40d9e
Timestamp of repository eroen: Sun, 30 Oct 2016 21:58:42 +0000
Head commit of repository sapher: 9ef31d0bf6a902342746fb03a445d4f8b7ddabef

Head commit of repository wiktorb: 2436f2d433769b4a7c69a4088dbc5acd2645c38c

Head commit of repository gentoo-snappy: 0ea79c799ebe1bc6cd924b9dd707b710eea24e83

Head commit of repository stuff: 91656fdf9e4e8f082d8c25eeaf62c85c87556053

sh bash 4.4_p23
ld GNU ld (Gentoo 2.31.1 p3) 2.31.1
ccache version 3.5 [disabled]
app-shells/bash:          4.4_p23::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.4.8-r1::gentoo, 3.5.5-r1::gentoo, 3.6.6::gentoo, 3.7.0::gentoo
dev-util/ccache:          3.5-r1::gentoo
dev-util/cmake:           3.12.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.39.2::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.31.1-r1::gentoo
sys-devel/gcc:            6.4.0-r5::gentoo, 7.3.0-r6::gentoo, 8.2.0-r4::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.19::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1

crossdev
    location: /var/lib/portage/crossdev
    masters: gentoo gamerlay eroen

eroen
    location: /usr/local/portage
    masters: gentoo
    priority: 0

sapher
    location: /var/lib/overlays/sapher
    sync-type: git
    sync-uri: https://github.com/apinsard/sapher-overlay.git
    masters: gentoo

wiktorb
    location: /var/lib/overlays/wiktorb
    sync-type: git
    sync-uri: https://github.com/wiktor-b/overlay.git
    masters: gentoo

dotnet
    location: /var/lib/layman/dotnet
    masters: gentoo
    priority: 50

enlightenment
    location: /var/lib/layman/enlightenment
    masters: gentoo
    priority: 50

flora
    location: /var/lib/layman/flora
    masters: gentoo
    priority: 50

gamerlay
    location: /var/lib/layman/gamerlay
    masters: gentoo
    priority: 50

gentoo-snappy
    location: /usr/local/portage/gentoo-snappy
    sync-type: git
    sync-uri: https://github.com/zyga/gentoo-snappy.git
    masters: gentoo
    priority: 50

glc
    location: /var/lib/layman/glc
    masters: gentoo
    priority: 50

hardened-development
    location: /var/lib/layman/hardened-development
    masters: gentoo
    priority: 50

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

hasufell
    location: /var/lib/layman/hasufell
    masters: gentoo
    priority: 50

java
    location: /var/lib/layman/java
    masters: gentoo
    priority: 50

laurentb
    location: /var/lib/layman/laurentb
    masters: gentoo
    priority: 50

roslin
    location: /var/lib/layman/roslin
    masters: gentoo
    priority: 50

stuff
    location: /var/lib/layman/stuff
    sync-type: git
    sync-uri: https://github.com/istitov/stuff.git
    masters: gentoo
    priority: 50

sunrise
    location: /var/lib/layman/sunrise
    masters: gentoo
    priority: 50

toolchain
    location: /var/lib/layman/toolchain
    masters: gentoo
    priority: 50

v-fox
    location: /var/lib/layman/v-fox
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -pipe -Og -g -gdwarf-4"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -pipe -Og -g -gdwarf-4"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=1 --autounmask --quiet-build --nospinner --verbose-conflicts --verbose-slot-rebuilds"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs binpkg-multi-instance cgroup collision-protect compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles installsources ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms split-log splitdebug strict strict-keepdir test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
INSTALL_MASK="/usr/share/locale -/usr/share/locale/en* -/usr/share/locale/nb* -/usr/share/locale/no*"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j4 -l10"
PKGDIR="/var/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl alsa amd64 apng audio audiofile avresample avx bash-completion bdf bluray bzip2 cairo caps cb cdda cdparanoia cdr cjk corefonts crypt cups curl cxx declarative detex device-mapper dga dia djvu dts dvd dvi2tty dvipdfm ebook egl exif fam ffmpeg fftw fits flac fontconfig g3dvl gallium gbm gcrypt gif gimp git glamor glib gmp gnuplot gnutls gold gpm graphics graphviz gs gstreamer gtk gtk3 hardened highlight iconv icu id3tag idn imagemagick imlib inotify iproute2 ipv6 jbig jpeg jpeg2k jpg json kde kde4 kpathsea latex lcms libffi libssh2 libtirpc libv4l luatex lvm lvm2 lzma lzo man metric mikmod mkv mms mmx mng mp3 mpeg mpg123 multilib multimedia musepack ncurses netlink nptl nut ocr odbc offensive ogg opengl openmp openvg optimization optimized-qmake opus pam pango pcre pdf pgf phonon pie png postscript private-headers pstricks pth publishers python3 qt3support qt4 raw readline samba sbsms scanner science sdl seccomp smp sna sndfile speex spell sqlite sse sse2 sse3 sse4 sse41 sse4_1 sse4_2 ssh ssl ssp ssse3 svg t1lib tesseract test theora threads tiff tls truetype udev unicode usb v4l v4l2 vaapi video vorbis vpx webp wmf x264 xanim xattr xcb xcomposite xetex xft xinerama xkb xml xmlpatterns xorg xosd xpm xrandr xtpax xv xvid xvmc xz zlib zsh-completion" ABI_X86="32 64" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx sse sse2 avx sse3 ssse3 sse4_1 aes avx mmxext popcnt sse3 sse4_1 sse4_2 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="en en-US en-GB eng" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="AArch64 ARM BPF X86" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3 php5-4" POSTGRES_TARGETS="postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6 python3_7" QEMU_SOFTMMU_TARGETS="x86_64 i386" RUBY_TARGETS="ruby23" SANE_BACKENDS="plustek" USERLAND="GNU" VIDEO_CARDS="intel i965 ilo" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

eroen@occam ~ $ emerge -pqv '=dev-python/cython-0.29::gentoo'
[ebuild     U ] dev-python/cython-0.29 [0.28.4] USE="test -doc -emacs" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6 python3_7"
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-11-25 08:57:30 UTC
My first guess would be to blame your CFLAGS.  Could you try to figure out why is the compiler failing?  I suppose the error messages might be hidden somewhere; alternative, just try running it manually as seen in error message:

distutils.errors.DistutilsExecError: Command "x86_64-pc-linux-gnu-gcc -march=corei7-avx -pipe -Og -g -gdwarf-4 -fno-strict-overflow -fPIC -I/var/tmp/portage/dev-python/cython-0.29/work/Cython-0.29/tests/run -I/usr/include/python3.4m -c parallel.c -o /var/tmp/portage/dev-python/cython-0.29/work/Cython-0.29-python3_4/tests/run/c/parallel/parallel.o -march=corei7-avx -pipe -Og -g -gdwarf-4 -fno-strict-overflow -DCYTHON_REFNANNY=1 -fopenmp" failed with exit status 1

(you'll need to figure out the correct directory, and possibly run it from failed tree to have .c files generated)
Comment 3 Rolf Eike Beer 2019-06-07 07:30:39 UTC
Created attachment 579056 [details]
build.log

Test failures with 0.29.4 on sparc
Comment 4 Rolf Eike Beer 2019-06-08 16:37:38 UTC
Created attachment 579216 [details]
build.log 0.29.7 on sparc